import React from 'react';
import { render } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import { getSpotlightItems } from '~tests/factories/modules/spotlights.factory';

import TempateTwo from '.';

describe('TempateOne Component', () => {
  test('Image mode', () => {
    const { container } = render(<TempateTwo module={getSpotlightItems(6, 'image')} />);
    expect(container).toBeTruthy();
    expect(container.querySelector('div')).toBeTruthy();
    expect(container.querySelectorAll('p.text')).toBeTruthy();
    expect(container.querySelectorAll('label')).toBeTruthy();
  });
});
